### Function

# GObject signal_name

since: 2.0

#### Declaration

    const gchar*
    g_signal_name (
      guint signal_id
    )

#### Description

Given the signal’s identifier, finds its name.

Two different signals may have the same name, if they have differing types.

Available since: 2.0

#### Parameters

`signal_id`

  Type: `guint`

  The signal’s identifying number.

#### Return value

Type: `const gchar*`

The signal name, or `NULL` if the signal number was invalid.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.